Index: trunk/VUT/work/TestCullingTerrain/TestCullingTerrainApplication.cpp
===================================================================
--- trunk/VUT/work/TestCullingTerrain/TestCullingTerrainApplication.cpp	(revision 100)
+++ trunk/VUT/work/TestCullingTerrain/TestCullingTerrainApplication.cpp	(revision 103)
@@ -38,5 +38,5 @@
 {
 	// create the camera
-	mCamera = mSceneMgr->createCamera("CullCamera");
+	mCamera = mSceneMgr->createCamera("PlayerCam");
 	
 	/** set a nice viewpoint
@@ -108,7 +108,6 @@
 	
 	// Create a skybox
-	mSceneMgr->setSkyBox(true, "Examples/SpaceSkyBox", 7000, false);
-	//mSceneMgr->setSkyDome( true, "Examples/CloudySky", 5, 8, 500, false );
-
+	mSceneMgr->setSkyBox(true, "Examples/SpaceSkyBox", 5000, false);
+	
 	std::string terrain_cfg("terrain.cfg");
 #if OGRE_PLATFORM == OGRE_PLATFORM_APPLE
@@ -127,7 +126,8 @@
 
 	mTerrainContentGenerator = new TerrainContentGenerator(mSceneMgr);
+	mTerrainContentGenerator->SetMaxPos(Vector3(3000.0f, 5000.0f, 3000.0f));
+
+	mTerrainContentGenerator->GenerateScene(1500, "robot.mesh");
 //	mTerrainContentGenerator->GenerateScene(500, "ninja.mesh");
-	mTerrainContentGenerator->SetMaxPos(Vector3(3000.0f, 5000.0f, 3000.0f));
-	mTerrainContentGenerator->GenerateScene(1500, "robot.mesh");
 
 	// no limitations needed anymore: the user can set 
@@ -188,7 +188,8 @@
 mVizCamera(vizCamera),
 mShowVisualization(false),
+mRenderNodesForViz(false),
 mVizCameraHeight(Real(2500.0)),
 mCamNode(camNode),
-mCullCamera(true)
+mCullCamera(false)
 {
 	// Reduce move speed
@@ -235,6 +236,8 @@
 	mSceneMgr->setOption("ShowOctree", &mShowOctree);
 	mSceneMgr->setOption("CullCamera", &mCullCamera);
-	
-    pOver->show();
+	mSceneMgr->setOption("ShowVisualization", &mShowVisualization);
+	mSceneMgr->setOption("RenderNodesForViz", &mRenderNodesForViz);
+
+	pOver->show();
 } 
 //-----------------------------------------------------------------------
@@ -327,4 +330,6 @@
 		// important for visualization => draw octree bounding boxes
 		mSceneMgr->setOption("ShowOctree", &mShowVisualization);
+		// also render geometry?
+		mSceneMgr->setOption("RenderNodesForViz", &mRenderNodesForViz);
 
 		// -- setup visualization camera
@@ -370,7 +375,8 @@
 
 	KEY_PRESSED(KC_O, 0.3, toggleUseOptimization());
-	KEY_PRESSED(KC_E, 0.3, toggleShowOctree());
+	KEY_PRESSED(KC_T, 0.3, toggleShowOctree());
 	KEY_PRESSED(KC_C, 0.3, toggleUseVisibilityCulling());
-	KEY_PRESSED(KC_V, 0.3, toggleShowViz());
+	KEY_PRESSED(KC_1, 0.3, toggleShowViz());
+	KEY_PRESSED(KC_2, 0.3, toggleRenderNodesForViz());
 
 	if (!mShowVisualization)
@@ -505,5 +511,5 @@
 	{	
 		Viewport *vizvp = mWindow->addViewport(mVizCamera, 
-			VIZ_VIEWPORT_Z_ORDER, 0.6, 0, 0.4, 0.4);
+			VIZ_VIEWPORT_Z_ORDER, 0.6, 0.6, 0.4, 0.4); 
 				
 		vizvp->setBackgroundColour(ColourValue(0.0, 0.3, 0.2, 1));
@@ -513,5 +519,4 @@
         mVizCamera->setAspectRatio(Real(vizvp->getActualWidth()) / 
 			Real(vizvp->getActualHeight()));
-
 		//vizvp->setClearEveryFrame(false);
 
@@ -520,6 +525,6 @@
 		plane.d = 1000;
 		plane.normal = Vector3::UNIT_Y;
-		mSceneMgr->setSkyPlane( true, plane, "Examples/MyTransparentTest", 4000, 75, true);*/
-		
+		mSceneMgr->setSkyPlane( true, plane, "Examples/Rockwall", 4000, 75, false);
+		*/
 	}
 	else
@@ -529,4 +534,11 @@
 		mSceneMgr->setOption("ShowOctree", &mShowOctree);
 	}
+}
+//-----------------------------------------------------------------------
+void MouseQueryListener::toggleRenderNodesForViz()
+{
+	mRenderNodesForViz = !mRenderNodesForViz;
+
+	mSceneMgr->setOption("RenderNodesForViz", &mRenderNodesForViz);
 }
 //-----------------------------------------------------------------------
Index: trunk/VUT/work/TestCullingTerrain/TestCullingTerrainApplication.h
===================================================================
--- trunk/VUT/work/TestCullingTerrain/TestCullingTerrainApplication.h	(revision 100)
+++ trunk/VUT/work/TestCullingTerrain/TestCullingTerrainApplication.h	(revision 103)
@@ -84,4 +84,5 @@
 	void toggleUseVisibilityCulling();
 	void toggleShowViz();
+	void toggleRenderNodesForViz();
 	void zoomVizCamera(int zoom);
 	void moveCamera();
@@ -120,4 +121,5 @@
 	bool mUseVisibilityCulling;
 	bool mShowVisualization;
+	bool mRenderNodesForViz;
 	bool mCullCamera;
 
